CV-Plugins compatibility
Posted: 07 September 2018 09:42 AM   [ Ignore ]  
Avatar
Total Posts:  3
Joined  2012-09-07

I,
This is what I found so far, for what works and what don’t work for the different CV-plugins

I did not try all the feature of all the plugins
Ex: CV-Toolbox -> I did not try the install, because I always download the plug-ins manually.

See: CV plugins.jpg

Image Attachments
CV plugins.jpg
Profile
 
 
Posted: 07 September 2018 11:41 PM   [ Ignore ]   [ # 1 ]  
Administrator
Avatar
Total Posts:  371
Joined  2006-01-25

I just updated CV-SmartExport and CV-Tokens - those are now R20 compatible.

I think we’ll rework Planesmart and incorporate it into CV-ImportImage, but that’ll come later. I’m evaluating what to do with CV-SubDeformer.

Profile
 
 
Posted: 08 September 2018 12:18 AM   [ Ignore ]   [ # 2 ]  
Avatar
Total Posts:  3
Joined  2012-09-07

Thanks

Profile
 
 
Posted: 08 September 2018 12:31 AM   [ Ignore ]   [ # 3 ]  
Avatar
Total Posts:  3
Joined  2012-09-07

CV-SmartExport and CV-Tokens work great now in R19 and R20
Thanks

Profile
 
 
Posted: 27 November 2018 12:19 PM   [ Ignore ]   [ # 4 ]  
Total Posts:  9
Joined  2012-12-29

Rick, I’m just checking in on Planesmart viability in r20…any news?

Profile
 
 
Posted: 27 November 2018 09:01 PM   [ Ignore ]   [ # 5 ]  
Total Posts:  7
Joined  2018-09-06

2nd that. Anyword on PlaneSmart?

Profile
 
 
Posted: 28 November 2018 03:19 PM   [ Ignore ]   [ # 6 ]  
Administrator
Avatar
Total Posts:  371
Joined  2006-01-25

PlaneSmart would definitely be next on my list, but I’d like to wrap its functionality into CV-ImportImage. There’s quite a lot of non-Cineversity stuff on my plate at the moment though, so I’m not sure when I’ll get to it. I’ll try to sneak in some time to get it out before the end of the year.

Profile
 
 
Posted: 02 December 2018 07:48 PM   [ Ignore ]   [ # 7 ]  
Total Posts:  7
Joined  2018-09-06
Rick Barrett - 28 November 2018 03:19 PM

PlaneSmart would definitely be next on my list, but I’d like to wrap its functionality into CV-ImportImage. There’s quite a lot of non-Cineversity stuff on my plate at the moment though, so I’m not sure when I’ll get to it. I’ll try to sneak in some time to get it out before the end of the year.

What about ArtSmart?

I still can’t get it to work with R20

Profile
 
 
Posted: 03 December 2018 07:50 AM   [ Ignore ]   [ # 8 ]  
Administrator
Avatar
Total Posts:  371
Joined  2006-01-25

ArtSmart should be working fine - I’ve been using it frequently with R20. ArtSmart is Python and never needed to be adapted. Where are you running into issues with ArtSmart? Are any errors appearing in the console?

Profile
 
 
Posted: 03 December 2018 10:34 AM   [ Ignore ]   [ # 9 ]  
Total Posts:  7
Joined  2018-09-06
Rick Barrett - 03 December 2018 07:50 AM

ArtSmart should be working fine - I’ve been using it frequently with R20. ArtSmart is Python and never needed to be adapted. Where are you running into issues with ArtSmart? Are any errors appearing in the console?

Yes it says:


ImportError:No module named xml.dom.minidom
Traceback (most recent call last):
  File “/Applications/MAXON/Cinema 4D R20/plugins/cv-toolbox/CV-Toolbox.pypv”, line 143, in <module>

Profile
 
 
Posted: 03 December 2018 02:36 PM   [ Ignore ]   [ # 10 ]  
Administrator
Avatar
Total Posts:  371
Joined  2006-01-25
bertpaige - 03 December 2018 10:34 AM

ImportError:No module named xml.dom.minidom
Traceback (most recent call last):
  File “/Applications/MAXON/Cinema 4D R20/plugins/cv-toolbox/CV-Toolbox.pypv”, line 143, in <module>

That error pertains to CV-Toolbox, not ArtSmart. I’m not sure why you’d be getting that error with Toolbox - I can’t reproduce it on our Macs here - what MacOS version are you using?

Does ArtSmart appear in the plugins menu if you manually install ArtSmart using the Files download on the ArtSmart Download & Install tutorial?

Profile
 
 
Posted: 05 December 2018 01:01 PM   [ Ignore ]   [ # 11 ]  
Total Posts:  7
Joined  2018-09-06
Rick Barrett - 03 December 2018 02:36 PM
bertpaige - 03 December 2018 10:34 AM

ImportError:No module named xml.dom.minidom
Traceback (most recent call last):
  File “/Applications/MAXON/Cinema 4D R20/plugins/cv-toolbox/CV-Toolbox.pypv”, line 143, in <module>

That error pertains to CV-Toolbox, not ArtSmart. I’m not sure why you’d be getting that error with Toolbox - I can’t reproduce it on our Macs here - what MacOS version are you using?

Does ArtSmart appear in the plugins menu if you manually install ArtSmart using the Files download on the ArtSmart Download & Install tutorial?

MacOS 10.13.6

Profile
 
 
Posted: 05 December 2018 01:27 PM   [ Ignore ]   [ # 12 ]  
Total Posts:  7
Joined  2018-09-06
Rick Barrett - 03 December 2018 02:36 PM
bertpaige - 03 December 2018 10:34 AM

ImportError:No module named xml.dom.minidom
Traceback (most recent call last):
  File “/Applications/MAXON/Cinema 4D R20/plugins/cv-toolbox/CV-Toolbox.pypv”, line 143, in <module>

That error pertains to CV-Toolbox, not ArtSmart. I’m not sure why you’d be getting that error with Toolbox - I can’t reproduce it on our Macs here - what MacOS version are you using?

Does ArtSmart appear in the plugins menu if you manually install ArtSmart using the Files download on the ArtSmart Download & Install tutorial?

Installing manually I get this:

Traceback (most recent call last):
  File “/Applications/MAXON/Cinema 4D R20/plugins/CV-ArtSmart/CV-ArtSmart.pyp”, line 148, in <module>
import vecfile, artsmartcore, clipboardwin
  File “/Applications/MAXON/Cinema 4D R20/plugins/CV-ArtSmart/lib/vecfile.py”, line 31, in <module>
import svg, geom, pdf
  File “/Applications/MAXON/Cinema 4D R20/plugins/CV-ArtSmart/lib/svg.py”, line 25, in <module>
import xml.dom.minidom
ImportError:No module named xml.dom.minidom

Profile
 
 
Posted: 10 December 2018 01:06 PM   [ Ignore ]   [ # 13 ]  
Total Posts:  7
Joined  2018-09-06

@Rick Barrett

Any update on this?

Profile
 
 
Posted: 14 December 2018 07:01 AM   [ Ignore ]   [ # 14 ]  
Administrator
Avatar
Total Posts:  371
Joined  2006-01-25

I’m still trying to track down why you wouldn’t have the xml module, as it should be included in your python installation by default. Do you know if you have other installations of Python on the system or other python plugins with folders or files named xml that might be causing a conflict with the default module?

Profile